#
# Conditional build:
%bcond_with	glamor		# glamor, new GL-based acceleration
#
%define	libdrm_ver	2.4.36
Summary:	X.org video drivers for ATI Radeon adapters
Summary(pl.UTF-8):	Sterowniki obrazu X.org do kart graficznych ATI Radeon
Name:		xorg-driver-video-ati
Version:	7.1.0
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.bz2
# Source0-md5:	a799371aa8a64ac8f9535963d5135e9a
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
%{?with_glamor:BuildRequires:	glamor-devel >= 0.3.1}
BuildRequires:	libdrm-devel >= %{libdrm_ver}
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.7
%{?requires_xorg_xserver_videodrv}
%{?with_glamor:Requires:	glamor >= 0.3.1}
Requires:	libdrm >= %{libdrm_ver}
Requires:	xorg-xserver-libdri >= 1.7
Requires:	xorg-xserver-libglx >= 1.7
Requires:	xorg-xserver-server >= 1.7
Provides:	xorg-driver-video
Obsoletes:	X11-driver-ati < 1:7.0.0
Obsoletes:	X11-driver-radeon < 1:7.0.0
Obsoletes:	XFree86-ATI
Obsoletes:	XFree86-driver-ati < 1:7.0.0
Obsoletes:	XFree86-driver-radeon < 1:7.0.0
Conflicts:	vbetool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains X.org drivers for ATI video adapters:
- "ati" wrapper driver, which automatically loads proper driver
  depending on hardware: radeon (included in this package),
  r128 (included in xorg-driver-video-r128 package), mach64
  (included in xorg-driver-video-mach64 package);
- "radeon" driver for ATI Radeon adapters.
The "radeon" driver supports PCI and AGP video cards based on the
following ATI chips:
- R100 (Radeon 7200),
- RV100 (Radeon 7000(VE), M6, RN50/ES1000),
- RS100 (Radeon IGP320(M)),
- RV200 (Radeon 7500, M7, FireGL 7800),
- RS200 (Radeon IGP330(M)/IGP340(M)),
- RS250 (Radeon Mobility 7000 IGP),
- R200 (Radeon 8500, 9100, FireGL 8800/8700),
- RV250 (Radeon 9000PRO/9000, M9),
- RV280 (Radeon 9200PRO/9200/9200SE/9250, M9+),
- RS300 (Radeon 9100 IGP),
- RS350 (Radeon 9200 IGP),
- RS400/RS480 (Radeon XPRESS 200/200M/1100 IGP),
- R300 (Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL X1/Z1),
- R350 (Radeon 9800PRO/9800SE/9800, FireGL X2),
- R360 (Radeon 9800XT),
- RV350 (Radeon 9600PRO/9600SE/9600/9550, M10/M11, FireGL T2),
- RV360 (Radeon 9600XT),
- RV370 (Radeon X300, M22),
- RV380 (Radeon X600, M24),
- RV410 (Radeon X700, M26 PCIE),
- R420 (Radeon X800 AGP),
- R423/R430 (Radeon X800, M28 PCIE),
- R480/R481 (Radeon X850 PCIE/AGP),
- RV505/RV515/RV516/RV550 (Radeon X1300/X1400/X1500/X2300),
- R520 (Radeon X1800),
- RV530/RV560 (Radeon X1600/X1650/X1700),
- RV570/R580 (Radeon X1900/X1950),
- RS600/RS690/RS740 (Radeon X1200/X1250/X2100),
- R600 (Radeon HD 2900),
- RV610/RV630 (Radeon HD 2400/2600/2700/4200/4225/4250),
- RV620/RV635 (Radeon HD 3410/3430/3450/3470/3650/3670),
- RV670 (Radeon HD 3850/3870),
- RS780/RS880 (Radeon HD 3100/3200/3300/4100/4200/4250/4290),
- RV710/RV730 (Radeon HD 4330/4350/4550/4650/4670/5145/5165/530v/545v/560v/565v),
- RV740/RV770/RV790 (Radeon HD 4770/4730/4830/4850/4860/4870/4890),
- CEDAR (Radeon HD 5430/5450/6330/6350/6370),
- REDWOOD (Radeon HD 5550/5570/5650/5670/5730/5750/5770/6530/6550/6570),
- JUNIPER (Radeon HD 5750/5770/5830/5850/5870/6750/6770/6830/6850/6870),
- CYPRESS (Radeon HD 5850/5850/5870),
- HEMLOCK (Radeon HD 5970),
- PALM (Radeon HD 6310/6250),
- SUMO/SUMO2 (Radeon HD 6370/6380/6410/6480/6520/6530/6550/6620),
- BARTS (Radeon HD 6790/6850/6870/6950/6970/6990),
- TURKS (Radeon HD 6570/6630/6650/6670/6730/6750/6770),
- CAICOS (Radeon HD 6430/6450/6470/6490),
- CAYMAN (Radeon HD 6950/6970/6990),
- ARUBA.

%description -l pl.UTF-8
Ten pakiet zawiera sterowniki obrazu X.org do kart graficznych ATI:
- sterownik obudowujący "ati", który automatycznie wczytuje właściwy
  sterownik w zależności od sprzętu: radeon (załączony w tym
  pakiecie), r128 (z pakietu xorg-driver-video-r128), mach64 (z
  pakietu xorg-driver-video-mach64);
- sterownik "radeon" do kart ATI Radeon.
Sterownik "radeon" obsługuje karty graficzne PCI i AGP oparte na
następujących układach ATI:
- R100 (Radeon 7200),
- RV100 (Radeon 7000(VE), M6, RN50/ES1000),
- RS100 (Radeon IGP320(M)),
- RV200 (Radeon 7500, M7, FireGL 7800),
- RS200 (Radeon IGP330(M)/IGP340(M)),
- RS250 (Radeon Mobility 7000 IGP),
- R200 (Radeon 8500, 9100, FireGL 8800/8700),
- RV250 (Radeon 9000PRO/9000, M9),
- RV280 (Radeon 9200PRO/9200/9200SE/9250, M9+),
- RS300 (Radeon 9100 IGP),
- RS350 (Radeon 9200 IGP),
- RS400/RS480 (Radeon XPRESS 200/200M/1100 IGP),
- R300 (Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL X1/Z1),
- R350 (Radeon 9800PRO/9800SE/9800, FireGL X2),
- R360 (Radeon 9800XT),
- RV350 (Radeon 9600PRO/9600SE/9600/9550, M10/M11, FireGL T2),
- RV360 (Radeon 9600XT),
- RV370 (Radeon X300, M22),
- RV380 (Radeon X600, M24),
- RV410 (Radeon X700, M26 PCIE),
- R420 (Radeon X800 AGP),
- R423/R430 (Radeon X800, M28 PCIE),
- R480/R481 (Radeon X850 PCIE/AGP),
- RV505/RV515/RV516/RV550 (Radeon X1300/X1400/X1500/X2300),
- R520 (Radeon X1800),
- RV530/RV560 (Radeon X1600/X1650/X1700),
- RV570/R580 (Radeon X1900/X1950),
- RS600/RS690/RS740 (Radeon X1200/X1250/X2100),
- R600 (Radeon HD 2900),
- RV610/RV630 (Radeon HD 2400/2600/2700/4200/4225/4250),
- RV620/RV635 (Radeon HD 3410/3430/3450/3470/3650/3670),
- RV670 (Radeon HD 3850/3870),
- RS780/RS880 (Radeon HD 3100/3200/3300/4100/4200/4250/4290),
- RV710/RV730 (Radeon HD 4330/4350/4550/4650/4670/5145/5165/530v/545v/560v/565v),
- RV740/RV770/RV790 (Radeon HD 4770/4730/4830/4850/4860/4870/4890),
- CEDAR (Radeon HD 5430/5450/6330/6350/6370),
- REDWOOD (Radeon HD 5550/5570/5650/5670/5730/5750/5770/6530/6550/6570),
- JUNIPER (Radeon HD 5750/5770/5830/5850/5870/6750/6770/6830/6850/6870),
- CYPRESS (Radeon HD 5850/5850/5870),
- HEMLOCK (Radeon HD 5970),
- PALM (Radeon HD 6310/6250),
- SUMO/SUMO2 (Radeon HD 6370/6380/6410/6480/6520/6530/6550/6620),
- BARTS (Radeon HD 6790/6850/6870/6950/6970/6990),
- TURKS (Radeon HD 6570/6630/6650/6670/6730/6750/6770),
- CAICOS (Radeon HD 6430/6450/6470/6490),
- CAYMAN (Radeon HD 6950/6970/6990),
- ARUBA.

%prep
%setup -q -n xf86-video-ati-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_glamor:--enable-glamor}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README
#%doc ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/ati_drv.so
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_mandir}/man4/ati.4*
%{_mandir}/man4/radeon.4*
%changelog
* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ca24e2d
- release 2 (by relup.sh)

* Wed Jan 30 2013 Jakub Bogusz <qboosh@pld-linux.org> d02472a
- updated minimal xserver version
- added glamor bcond

* Wed Jan 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 23fb1da
- up to 7.1.0

* Tue Nov 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 433e621
- up to 7.0.0

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 3f16bed
- rebuild to fix broken filedigests
- release 5 (by relup.sh)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> 2e71eaa
- rebuild with fixed rpm macros
- release 4 (by relup.sh)

* Sun Sep 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 96c8828
- rel 3; snap 20120923

* Sun Sep 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ab840d0
- rel 2; no ChangeLog for git snap

* Sun Sep 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bc8cdda
- up to 6.99.99 snap 20120909 (there is no released version that builds with stable xserver 1.13 unfortunately)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ede96df
- release 3 (by relup.sh)

* Fri Jun 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 013c161
- rel 2; rebuild with fixed libdrm define

* Fri Jun 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 6da9d0f
- typo

* Fri Jun 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 49f6976
- up to 6.14.6

* Thu Jun 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f6bdf66
- up to 6.14.5

* Sat Jun 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 32ca741
- release 2

* Thu Mar 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 04849f2
- updated description (mention ati wrapper)

* Thu Mar 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 81eeaab
- up to 6.14.4

* Mon Mar 05 2012 Artur Frysiak <artur@frysiak.net> a501186
- patches for xorg-xserver 1.12.0
- rel. 3

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f641225
- release 2

* Wed Nov 02 2011 Jakub Bogusz <qboosh@pld-linux.org> b2bfcbe
- updated hardware list

